#
# spec file for package python-emencia_django_newsletter
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-emencia_django_newsletter
Version:        0.2
Release:        3.4
Summary:        A Django app for sending newsletter by email to a contact list
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://emencia.fr
Source:         http://pypi.python.org/packages/source/e/emencia.django.newsletter/emencia.django.newsletter-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-beautifulsoup
Requires:       python-django
Requires:       python-django-tagging
Requires:       python-html2text
Requires:       python-xlrd
Requires:       python-xlwt
Requires:       vobject
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
The problematic was :
    How to couple a contact base to a mailing list and sending newsletters through Django ?

Imagine that we have an application containing some kind of profiles or something like the
django.contrib.auth and you want to send newsletters to them and tracking the activity.

Features
    More than a long speech, here the list of the main features :
        - Coupling capacities with another django model;
        - Variables can be used in the newsletter's templates;
        - Mailing list managements (merging, importing...);
        - Configurable SMTP servers with flow limit management;
        - Can send newsletter previews;
        - Unsubscriptions to mailing list;
        - Unique urls for an user;
        - Tracking statistics.

%prep
%setup -q -n emencia.django.newsletter-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files 
%defattr(-,root,root,-)
%doc docs/*.txt
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Apr 11 2012 saschpe@gmx.de
- Fix SLE_11_SP2 build
- Buildrequire python-distribute instead of setuptools
* Sat Jan 15 2011 alexandre@exatati.com.br
- Update to 0.2.
* Tue Dec 21 2010 alexandre@exatati.com.br
- Update to new tarball;
- Added more Requires in spec file;
- Spec file cleaned with spec-cleaner.
* Tue Nov 10 2009 alexandre@exatati.com.br
- Initial package (0.1) for openSUSE.
